Bug 1128365 - setup alternatives for wxrc and wx-config
Summary: setup alternatives for wxrc and wx-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1357872 (view as bug list)
Depends On:
Blocks: 1077718
TreeView+ depends on / blocked
 
Reported: 2014-08-09 14:57 UTC by Jeremy Newton
Modified: 2016-09-29 22:51 UTC (History)
4 users (show)

Fixed In Version: wxGTK-2.8.12-26.fc25 wxGTK-2.8.12-26.fc24 wxGTK-2.8.12-26.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:37:10 UTC


Attachments (Terms of Use)

Description Jeremy Newton 2014-08-09 14:57:02 UTC
Alright so obviously the conflicting file in wxrc for wxgtk and wxgtk3 is a file, so I wish to collaborate and agree to use something like alternatives for this file. Please let me know of this is an issue because I keep getting requests to resolve this.

Thanks

Comment 1 Jeremy Newton 2014-12-09 20:59:40 UTC
Both wxrc and wx-config for wxGTK3 are placed in /usr/libexec/wxGTK3/

If you wish to do the same, alternatives and symlinks could be setup fairly easily.

I don't see this as a blocking issue to any builds right now, so it's more of a "nice to have" from what I see.

Comment 2 Jaroslav Reznik 2015-03-03 16:11:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Jeremy Newton 2016-01-11 01:19:26 UTC
Assuming this as won't fix, reopen if things change.

Comment 4 Jan Niklas Hasse 2016-05-06 12:31:31 UTC
Why was this closed as won't fix?

Comment 5 Jeremy Newton 2016-05-06 12:42:08 UTC
The wxGTK maintainer seemed to have no interest within the 2 year span it was open. I closed it as won't fix, as I would need his cooperation to resolve this. If things change, this can be reopened.

Comment 6 Dan Horák 2016-05-06 12:53:01 UTC
If you can, please take over the wxGTK maintanership, just ask in pkgdb. -ENOTIME :-(

Comment 7 Jeremy Newton 2016-05-06 15:16:26 UTC
Ok sounds good, I'll put the request in pkgdb.

Thanks!

Comment 8 Jan Niklas Hasse 2016-06-23 12:48:57 UTC
Did someone take over the wxGTK maintanership?

Comment 9 Jeremy Newton 2016-06-23 14:20:50 UTC
I took over maintainership. Sorry for the delay.
Unfortunately, I had a bit of a busy month and a half. I should be able to get this fixed in rawhide no later than the second week of July.

Comment 10 Jan Niklas Hasse 2016-06-23 14:44:33 UTC
No problem! Thanks for doing this :)

Comment 11 Fedora End Of Life 2016-07-19 12:00:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Jan Niklas Hasse 2016-07-19 12:51:20 UTC
New bug report for Fedora 24: https://bugzilla.redhat.com/show_bug.cgi?id=1357872

Comment 13 Scott Talbert 2016-07-19 15:35:51 UTC
*** Bug 1357872 has been marked as a duplicate of this bug. ***

Comment 14 Jan Kurik 2016-07-26 04:03:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 15 Jeremy Newton 2016-08-28 18:07:54 UTC
Fixed in rawhide, please let me know if anyone has any issues.
I will backport to Fedora/EPEL if requested, but I would prefer not to as this is dependant on also backporting the fix from wxGTK.

Comment 16 Fedora Update System 2016-09-15 15:00:59 UTC
wxGTK-2.8.12-24.fc23 wxGTK3-3.0.2-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-835be81af6

Comment 17 Fedora Update System 2016-09-15 15:01:21 UTC
wxGTK-2.8.12-24.fc24 wxGTK3-3.0.2-21.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d04da1545

Comment 18 Fedora Update System 2016-09-15 15:01:38 UTC
wxGTK-2.8.12-24.fc25 wxGTK3-3.0.2-21.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3e076fdba

Comment 19 Fedora Update System 2016-09-16 00:51:58 UTC
wxGTK-2.8.12-24.fc23, wxGTK3-3.0.2-21.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-835be81af6

Comment 20 Fedora Update System 2016-09-16 00:53:30 UTC
wxGTK-2.8.12-24.fc24, wxGTK3-3.0.2-21.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d04da1545

Comment 21 Fedora Update System 2016-09-16 01:24:01 UTC
wxGTK-2.8.12-24.fc25, wxGTK3-3.0.2-21.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3e076fdba

Comment 22 Fedora Update System 2016-09-20 03:50:19 UTC
wxGTK3-3.0.2-23.fc23 wxGTK-2.8.12-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6af21a57ce

Comment 23 Fedora Update System 2016-09-20 03:50:40 UTC
wxGTK3-3.0.2-23.fc24 wxGTK-2.8.12-26.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3560aaba49

Comment 24 Fedora Update System 2016-09-20 03:50:58 UTC
wxGTK3-3.0.2-23.fc25 wxGTK-2.8.12-26.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89935dbd98

Comment 25 Fedora Update System 2016-09-20 19:57:14 UTC
wxGTK-2.8.12-26.fc25, wxGTK3-3.0.2-23.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89935dbd98

Comment 26 Fedora Update System 2016-09-22 01:25:01 UTC
wxGTK-2.8.12-26.fc23, wxGTK3-3.0.2-23.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6af21a57ce

Comment 27 Fedora Update System 2016-09-22 01:25:56 UTC
wxGTK-2.8.12-26.fc24, wxGTK3-3.0.2-23.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3560aaba49

Comment 28 Fedora Update System 2016-09-27 00:37:10 UTC
wxGTK-2.8.12-26.fc25, wxGTK3-3.0.2-23.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-09-27 03:51:45 UTC
wxGTK-2.8.12-26.fc24, wxGTK3-3.0.2-23.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-09-29 22:51:22 UTC
wxGTK-2.8.12-26.fc23, wxGTK3-3.0.2-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.